This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 437244 - [5.2] xen kernel entry in elilo.conf was not updated correctly
[5.2] xen kernel entry in elilo.conf was not updated correctly
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: booty (Show other bugs)
5.2
ia64 Linux
low Severity low
: rc
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 01:32 EDT by CAI Qian
Modified: 2008-10-22 06:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 06:17:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kickstart file for RHEL 5.2 (1.10 KB, text/plain)
2008-03-13 01:32 EDT, CAI Qian
no flags Details
Before kickstart installation, FULL elilo.conf. (2.01 KB, text/plain)
2008-03-13 03:53 EDT, CAI Qian
no flags Details

  None (edit)
Description CAI Qian 2008-03-13 01:32:03 EDT
Description of problem:
Before kickstart installation, elilo.conf is like this,

prompt
timeout=20
default=reinstall-rhel5.2
relocatable

image=vmlinuz-rhel5.2
        label=reinstall-rhel5.2
        initrd=initrd-rhel5.2.img
        append="ks=nfs:walsinh.nay.redhat.com:/nfs/ks/shangrila-rhel5.2.ks
ksdevice=eth1 console=tty0 console=ttyS0,19200n8"

image=vmlinuz-2.6.18-84.el5xen
        vmm=xen.gz-2.6.18-84.el5
        label=2.6.18-84.el5xen
        initrd=initrd-2.6.18-84.el5xen.img
        read-only
        root=/dev/VolGroup00/LogVol03
        append="com1=19200,8n1,0x3f8 -- rhgb quiet console=tty0
console=ttyS0,19200n8"

After the installation finished, xen kernel entry became a normal kernel entry,

...
image=vmlinuz-2.6.18-84.el5xen
        label=2.6.18-84.el5xen
        initrd=initrd-2.6.18-84.el5xen.img
        read-only
        root=/dev/VolGroup00/LogVol03
        append="rhgb quiet console=tty0 console=ttyS0,19200n8"

Which caused it failed to boot. Please see attachment for kickstart file. It
works for RHEL 5.1 though.

Version-Release number of selected component (if applicable):
RHEL 5.2 Beta
booty 0.80.4-6
anaconda 11.1.2.107-1

How reproducible:
Always
Comment 1 CAI Qian 2008-03-13 01:32:03 EDT
Created attachment 297896 [details]
kickstart file for RHEL 5.2
Comment 2 CAI Qian 2008-03-13 03:53:02 EDT
Created attachment 297901 [details]
Before kickstart installation, FULL elilo.conf.
Comment 3 CAI Qian 2008-03-18 08:43:59 EDT
I don't think I remembered correctly here. I have had a chance to run this
again, and it does not work for RHEL 5.1 either. Therefore, get rid of
"Regression" keyword. Sorry for the noise.
Comment 4 CAI Qian 2008-10-22 06:17:17 EDT
I'll close this out, as I don't care it any more.

Note You need to log in before you can comment on or make changes to this bug.